cannot execute

Problems with the Linux version of XAMPP, questions, comments, and anything related. cannot execute

Postby IozzoI » 27. December 2013 18:22


Unfortunately, I recieved the following error when trying to run the installer XAMPP 1.8.3-2 for linux.
Code: Select all
bash: ./ cannot execute binary file

I'm new to linux and don't have a clue what to do next. If anyone has a suggestion, please help!

I'm work on setting up a local webserver on my Raspberry Pi with Raspbian revision:
Linux version 3.6.11+ (dc4@dc4-arm-01) (gcc version 4.7.2 20120731 (prerelease)

The file permission should be alright or hur?
Code: Select all
root@raspberrypi:~/Desktop# ls -l
-rwxr-xr-x 1 pi   pi   126657636 dec 26 00:26

Thank you!
Posts: 2
Joined: 27. December 2013 18:07
Operating System: Raspbian

Re: cannot execute

Postby IozzoI » 14. January 2014 23:05

Not much help to get here... :(

Nevermind, I installed the LAMP server through apt-get:

Code: Select all
Sudo apt-get install apache2
Sudo apt-get install mysql-server
Sudo apt-get install php5
Sudo apt-get install php5-mysql

Reboot eventually to load all deamons:
Code: Select all
sudo reboot

Apache home page dir

Test from browser, type IP or hostname.

Eventually add phpinfo.php to the /var/www directory containing:
Code: Select all

Install phpMyAdmin
Code: Select all
Sudo apt-get install phpmyadmin

Choose: Apache2

Open apache.conf:
Code: Select all
Sudo nano /etc/apache2/apache2.conf

Add the buttom line:
Code: Select all
Include /etc/phpmyadmin/apache.conf

Save 'Ctrl + X' + 'Y' + 'Enter'

Test from browser, type "<IP or hostname>/phpmyadmin"

Login as user "root", password <your choosen password during mysql installation>.

Good luck.
Posts: 2
Joined: 27. December 2013 18:07
Operating System: Raspbian

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 9 guests